
# Tangerine Rust Server

**Welcome to Tangerine**, a unique Rust server that offers an innovative blend of PvE and PvP gameplay through its dynamic War Mode. This system allows players to tailor their experience by choosing between cooperative survival or competitive combat, creating a versatile and engaging environment. Alongside this, Tangerine integrates Bitcoin mechanics into Rust, offering players a hands-on approach to understanding Bitcoin while thriving in a competitive survival world. The server strikes a balance between education, entertainment, and dynamic interactions.

## 🌟 Key Features

### 🛡️ War Mode: PvE and PvP Coexistence
- **Dynamic Gameplay**: Players can choose between PvE and PvP modes, ensuring everyone has an experience tailored to their preferences.
- **Customizable Protections**: PvE players enjoy specific protections and restrictions to maintain a balanced gameplay environment.
- **Zone-Specific Modes**: Certain areas, such as monuments or events, enforce PvP mode for you and your base
- **Toggle On-Demand**: Players can use the /flag command to switch between PvE and PvP modes when they are in the safety of a safezone.
- **Choose Teammates Wisely**: Be cautious when forming teams. If one teammate switches to PvP mode, the entire team is automatically placed into PvP mode as well. Coordination and trust are key to maintaining your preferred playstyle.

### 🛠️ Bitcoin Mining
- **Scrap Mining**: Authorized players who deploy an in-game computer station will find it functions as a scrap miner.
- **Start Mining**: To begin, provide the computer station with 10 units of power and sit down to enable mining. Monitor your rig's temperature carefully—if it overheats, it will explode! You can turn it off or remove power to prevent further heating.
- **Upgrade Your Rig**: Players can find various mining equipment across the map to enhance their rigs. These upgrades include increasing mining speed or improving cooling systems. Higher-tier equipment can be found in events and raidable bases.
- **Scrap for Bitcoin**: Players now trade in scrap to earn Bitcoin. Bring your scrap to Outpost or Bandit Camp to turn it in, just like with paper or hash in the past.

### 🩸 Blood = Satoshis

Blood is the primary asset on Tangerine and acts as a transferable in-game currency tied to Bitcoin. Players can use it to claim Bitcoin rewards or convert it back into sats.
  - **/claim**: Use this command to claim any earned blood from prior blocks.
  - **/buyblood**: Purchase blood with Bitcoin through this command to fuel your in-game economy.
  - **/sendblood**: Convert blood back to Bitcoin by trading it with `/sendblood`, which transfers blood to sats directly.

### 🏆 Competitive Events
- **Sputnik**: Timed events where players compete against attack choppers, NPCs and each other to gather resources from fallen space fragments. Completing Sputnik can reward a worthwhile set of mining loot.
- **Convoy Reforged**: A traveling convoy arrives to turn in their scrap and purchase resources for their miners. Convoys come in different levels, with some lightly guarded and others more heavily protected than a fallen Sputnik.
- **Raidable Bases**: Participate in Raidable Bases events to engage in PvP action and capture stored scrap and resources!
- **Dungeon Bases**: Dungeons are bases with puzzles, NPC defenders, turrets and more all one portal away.

## 📢 Why Choose Tangerine?

- **Choose Your Adventure**: Experience dynamic gameplay with War Mode, allowing PvE and PvP players to coexist seamlessly.
- **Bitcoin Rewards**: Earn sats through in-game activities and engage with a Bitcoin-based economy.
- **Unique Events**: Participate in Raidable Bases, Sputnik and Convoy Reforged for opportunities to earn mining resources and valuable rewards.
- **Community-Driven**: Join a welcoming community that prioritizes both education and fun.

## 📜 Server Details and Logs

Stay informed with the latest server settings, map details, event information, logs, and changelogs by referring to the current block in the [**Block History**](/blockhistory/).

## 🔧 Commands

Enhance your gameplay with a variety of custom commands. For a full list and descriptions, check the [Commands List](commands.md).

## 📋 Rules

Please follow our server rules to ensure a fair and fun experience for everyone. You can find the full list of rules [here](rules.md).

## 🛠️ Plugins

Our server utilizes a selection of plugins to improve gameplay and add unique features. Learn more about the plugins we use in the [Plugins List](/plugins/README.md).

## 📄 License

This project is licensed under the [MIT License](LICENSE.txt).

## 📫 Contact

For any inquiries or support, please reach out through our [Discord](https://dsc.gg/orangemart) or open an issue on GitHub.

## 🍊 Join Us on Tangerine

Ready to explore a Rust server where PvE and Bitcoin education meet? Whether you’re looking to test your survival skills in PvE zones, compete in thrilling events like Sputnik and Convoy Reforged, or earn real Bitcoin rewards through in-game activities—Tangerine is the place for you!

**🚀 Server Address**:

```client.connect tangerine.orangem.art```