## Block 3 - Overview

### Key Features
- **Bitcoin Rewards**: Players can earn Bitcoin rewards by turning scrap into the deposit boxes located at Outpost or Bandit Camp
- **Custom Raidable Bases**: Raidable bases are present with special loot, providing new raid challenges for players.
- **Convoy**: A group of outsiders are leading a convoy through the map. Stop them and steal their loot for a chance at big rewards!
- **Sputnik**: Satellite fragments will crash-land across the map, guarded by helicopters, NPCs, and turrets. Players must use Space Cards to access high-value loot.
- **Mine a Scrap-o-hash**: Find mining components and cooling equipment to mine Scrap in your base
- **Battlepass**: We've introduced a new Battlepass function that will let you complete daily tasks to earn Tangerine points to spend on new mining equipment!

### Server Environment Variables
- **Map Size**: 4500, procedurally generated.
- **Map Seed**: 1069026693.
- **PVP Server**: Base protection is enabled, with specific rules outlined below.
- **Team Limits**: Maximum of 8 players per team.
- **Tool Cupboard (TC) Limit**: 3 TCs per player.
- **Max Players**: 50 players at one time.
- **Region**: North America.
- **Gather Rate**: Vanilla.
- **Crafting Speed**: Vanilla.
- **Decay Rate**: Vanilla.

### Base Protection
- **Base Protection**: 100% base protection will last until the last weekend of Block 3.
- **Twig Structures**: Not protected—upgrade to wood or higher for protection.
- **Raid Week**: Raid week will start on the last Monday of the wipe and run until the end of the wipe. 

### Mining and Rewards
- **Satoshi Reward Pool**: Players will compete for a total of 100,000 Satoshis in rewards, generously provided by Orangemart, our main sponsor for this wipe.
- **Bitcoin Miner**: Utilize your own /bitcoin miner to generate hash to turn in throughout the wipe.
- **Scrap-o-Hash**: Hash can be generated via mining rigs or earned from various in-game events.
- **Bitcoin Rewards**: Earn Bitcoin by turning in Scrap at one of the Deposit Centers. The more hash you submit, the greater your share of the prize pool.

### Wipe Schedule
- **Map Wipe**: The map will wipe on the first Thursday of every month, with the next wipe scheduled for Thursday, January 2nd, 2025.
- **Blueprint Wipe**: Blueprints wipe alongside the map, the next blueprint wipe is also scheduled for Thursday, January 2nd, 2025.

## Changelog for Block 3
- **12/05/2024**: Block 3 begins.
- **01/02/2024**: Block 3 ends.

## Logs and Additional Information
- [Hash Deposits Log](./depositboxlog.json)
- [Claim Rewards](./ClaimPlayerRewards.json)

## Plugins Used in Block 3
- **AdminPanel.cs**: Provides an in-game admin panel for managing the server.
- **AdminRadar.cs**: Tracks players and items for admin use.
- **AlphaLoot.cs**: Modifies loot tables and spawn rates.
- **Battlepass**: Creates a daily Battlepass for new rewards.
- **BetterChat.cs**: Manage chat groups, customize colors, and add titles.
- **BetterChatFilter.cs**: Chat filter based on keywords for Better Chat.
- **BetterChatMute.cs**: A simple chat mute system, for use with Better Chat or standalone.
- **BiPlane.cs**: Allows players to use simple in-game aircraft.
- **BuyableTugboats.cs**: This plugin adds an option to purchase Tugboats from Fishing Village.
- **ChaosExtensionDownloader.cs**: Manages Chaos extensions for the server.
- **ClaimPlayerRewards.cs**: Handles /claim command for claiming blood or rewards.
- **Convoy.cs**: Enables the Convoy event.
- **CopyPaste.cs**: Enables admins to copy and paste structures.
- **CupboardLimiters.cs**: Limits the number of TCs a player can place.
- **CustomVendingSetup.cs**: Customizes vending machines for in-game services.
- **DefaultRadioStation.cs**: Sets up default radio stations for players.
- **DepositBox.cs**: Manages hash deposits for rewards.
- **DiscordAuth.cs**: Connects in-game profiles with Discord.
- **DiscordChat.cs**: Allows players to chat between discord and the game server.
- **DiscordCore.cs**: Creates a link between a player and a Discord server.
- **DiscordLogger.cs**: Logs events to Discord channels using webhooks.
- **DiscordMessages.cs**: Sends report and ban messages straight to Discord.
- **Discord Presendce**: Shows server status in Discord.
- **DynamicPVP.cs**: Handles our dynamicPVP zones at monuments.
- **GoodMorningBitcoin.cs**: Displays 'Now Playing' information for GoodMorningBitcoin.com.
- **ImageLibrary.cs**: Renders custom user interfaces for plugins.
- **InventoryViewer.cs**: Allows admins to manage player inventories.
- **MinerFarm.cs**: Adds a Bitcoin reward system for in-game activities.
- **MonumentAddons.cs**: Adds features to standard monuments.
- **MonumentFinder.cs**: Helps players locate monuments.
- **NoGiveNotices.cs**: Suppresses notifications when items are given.
- **NpcSpawn.cs**: Manages NPC spawns at monuments.
- **Orangemart.cs**: Handles Bitcoin payment integration
- **PermissionsManager.cs**: Allows easy management of player permissions.
- **PlaceholderAPI.cs**: Centralized location to query data from other plugins.
- **PlayerAdministration.cs**: Manages player accounts, bans, and tasks.
- **RadioStationManager.cs**: Manages in-game radio stations.
- **RaidableBases.cs**: Adds bases that can be raided.
- **RemoverTool.cs**: Allows players or admins to remove structures.
- **ServerInfo.cs**: Displays essential server information.
- **ServerPop.cs**: Tracks server population in real-time.
- **SignArtist.cs**: Lets players upload custom images to signs.
- **SkinBox.cs**: Provides access to item skins.
- **Sputnik.cs**: Enables the Sputnik event.
- **StackModifer.cs**: Enables editing of stack sizes.
- **TruePVE.cs**: Enables PvE environment on server.
- **UpdateChecker.cs**: Checks for plugin updates automatically.
- **Vanish.cs**: Allows admins to become invisible to players.
- **VendingMachineLogs.cs**: Logs vending machine transactions.
- **ZoneManager.cs**: Manages safe and PvP zones on the map.
- **Zone PVx Info**: Shows a HUD on PvE/PvP name defined zones
